Index: trunk/grails-app/views/department/edit.gsp
===================================================================
--- trunk/grails-app/views/department/edit.gsp	(revision 178)
+++ trunk/grails-app/views/department/edit.gsp	(revision 268)
@@ -34,5 +34,5 @@
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:departmentInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:departmentInstance,field:'name')}"/>
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:departmentInstance,field:'name')}"/>
                                 </td>
                             </tr> 
@@ -43,14 +43,5 @@
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:departmentInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:departmentInstance,field:'description')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="costCode">Cost Code:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:departmentInstance,field:'costCode','errors')}">
-                                    <input type="text" id="costCode" name="costCode" value="${fieldValue(bean:departmentInstance,field:'costCode')}"/>
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:departmentInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -67,14 +58,14 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="persons">Persons:</label>
+                                    <label for="departmentExtendedAttributes">Department Extended Attributes:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:departmentInstance,field:'persons','errors')}">
+                                <td valign="top" class="value ${hasErrors(bean:departmentInstance,field:'departmentExtendedAttributes','errors')}">
                                     
 <ul>
-<g:each var="p" in="${departmentInstance?.persons?}">
-    <li><g:link controller="person" action="show" id="${p.id}">${p?.encodeAsHTML()}</g:link></li>
+<g:each var="d" in="${departmentInstance?.departmentExtendedAttributes?}">
+    <li><g:link controller="departmentExtendedAttribute" action="show" id="${d.id}">${d?.encodeAsHTML()}</g:link></li>
 </g:each>
 </ul>
-<g:link controller="person" params="['department.id':departmentInstance?.id]" action="create">Add Person</g:link>
+<g:link controller="departmentExtendedAttribute" params="['department.id':departmentInstance?.id]" action="create">Add DepartmentExtendedAttribute</g:link>
 
                                 </td>
@@ -83,14 +74,14 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="systemSections">System Sections:</label>
+                                    <label for="sections">Sections:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:departmentInstance,field:'systemSections','errors')}">
+                                <td valign="top" class="value ${hasErrors(bean:departmentInstance,field:'sections','errors')}">
                                     
 <ul>
-<g:each var="s" in="${departmentInstance?.systemSections?}">
-    <li><g:link controller="systemSection" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+<g:each var="s" in="${departmentInstance?.sections?}">
+    <li><g:link controller="section" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
 </g:each>
 </ul>
-<g:link controller="systemSection" params="['department.id':departmentInstance?.id]" action="create">Add SystemSection</g:link>
+<g:link controller="section" params="['department.id':departmentInstance?.id]" action="create">Add Section</g:link>
 
                                 </td>
